/*
PeRdr - PE file disassembler
Copyright (C) 1999-2002 Frediano Ziglio
-----

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-----

INFORMATION
  www: http://freddy77.tripod.com/perdr/
  e-mail: freddy77@angelfire.com
*/
#ifndef FILE_UTILS_H
#define FILE_UTILS_H

#ifdef HAVE_CONFIG_H
#  include "../config.h"
#endif

#if defined(DEBUG) || defined(_DEBUG)
#  undef NDEBUG
#  undef _NDEBUG
#  undef DEBUG
#  undef _DEBUG
#  define DEBUG 1
#  define _DEBUG 1
#endif

#if defined(NDEBUG) || defined(_NDEBUG)
#  undef NDEBUG
#  undef _NDEBUG
#  undef DEBUG
#  undef _DEBUG
#  define NDEBUG 1
#  define _NDEBUG 1
#endif

// assertion
#ifdef DEBUG
void PeRdrAssert(const char* filename,int line,bool cond,const char* scond);
#  define _DEBUG_(s) s
#  define _PRG_ASSERT(cond) PeRdrAssert(__FILE__,__LINE__,cond,#cond)
#else
#  define _DEBUG_(s)
#  define _PRG_ASSERT(cond)
#endif

// break utility
#ifdef DEBUG
void __break();
#  define BREAK_IF(cond) if (cond) __break()
#else
#  define BREAK_IF(cond)
#endif

#endif //FILE_UTILS_H
