#ifndef FILE_DUMPWIN_H
#define FILE_DUMPWIN_H

#include "dump.hpp"
#include "printbuf.h"

// DumpWindow is a canvas on which you can type
class DumpWindow: public wxWindow
{
public:
    DumpWindow() { }
    DumpWindow( wxWindow *parent );
    ~DumpWindow();

    void SetStream(DumpStream* stream);

//    wxChar& CharAt(int x, int y) { return *(m_text + x + m_xChars * y); }

    // caret movement
//    void Home() { m_xCaret = 0; }
//    void End() { m_xCaret = m_xChars - 1; }
//    void FirstLine() { m_yCaret = 0; }
//    void LastLine() { m_yCaret = m_yChars - 1; }
//    void PrevChar() { if ( !m_xCaret-- ) { End(); PrevLine(); } }
//    void NextChar() { if ( ++m_xCaret == m_xChars ) { Home(); NextLine(); } }
//    void PrevLine() { if ( !m_yCaret-- ) LastLine(); }
//    void NextLine() { if ( ++m_yCaret == m_yChars ) FirstLine(); }

    // event handlers
    void OnPaint( wxPaintEvent &event );
    void OnSize( wxSizeEvent &event );
    void OnChar( wxKeyEvent &event );
    void OnScrollWin( wxScrollWinEvent &event );

private:
    wxFont   m_font;

    // the margin around the text (looks nicer)
    int      m_xMargin, m_yMargin;

    // size (in pixels) of one character
    long     m_widthChar, m_heightChar;

    // position (in text coords) of the caret
//    int      m_xCaret, m_yCaret;

    // the size (in text coords) of the window
    int      m_xChars, m_yChars;

    unsigned int x_scroll, y_scroll;

    // the text
//    wxChar  *m_text;

    PrintBuffer *printBuf;

    DumpStream* stream;

    DECLARE_DYNAMIC_CLASS(DumpWindow)
    DECLARE_EVENT_TABLE()
};

#endif // FILE_DUMPWIN_H
