#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "wx/resource.h"
#include "wx/valgen.h"

#include "option.h"
#include "rc.h"

class DisasmOptionsDlg: public OptionsDlgRc
{
public:
	DisasmOptionsDlg(wxWindow *parent,DisasmOptionsRead::Results& res);
	void OnCheck(wxCommandEvent& event);
private:
	DisasmOptionsRead::Results& results;
	static bool resLoaded;

	DECLARE_EVENT_TABLE();
};

BEGIN_EVENT_TABLE(DisasmOptionsDlg, OptionsDlgRc)
	EVT_CHECKBOX(-1, DisasmOptionsDlg::OnCheck)
END_EVENT_TABLE()

DisasmOptionsDlg::DisasmOptionsDlg(wxWindow *parent,
		DisasmOptionsRead::Results& res)
	: OptionsDlgRc(parent, -1, ""), results(res)
{
	// load resource
	CentreOnParent();
	
	// init controls
	chkP3->SetValidator(wxGenericValidator(&results.enableP3));
	chk3DNow->SetValidator(wxGenericValidator(&results.enable3DNow));
	chkEnh3DNow->SetValidator(wxGenericValidator(&results.enableEnh3DNow));
	chkAthlon->SetValidator(wxGenericValidator(&results.enableAthlon));

}

void DisasmOptionsDlg::OnCheck(wxCommandEvent& event)
{
	if ( event.GetEventObject() == chk3DNow )
	{
		if ( !event.IsChecked() )
			chkEnh3DNow->SetValue(false);
	}
	if ( event.GetEventObject() == chkEnh3DNow )
	{
		if ( event.IsChecked() )
			chk3DNow->SetValue(true);
	}
}

bool DisasmOptionsRead::Read(wxWindow* parent,Results& result)
{
	wxDialog *dlg = new DisasmOptionsDlg(parent,result);
	bool res = (dlg->ShowModal() == wxID_OK);
	dlg->Close(TRUE);
	return res;
}

