#ifndef FILE_PRINTWIN_H_
#define FILE_PRINTWIN_H_

#include <vector>

class PrintWin
{
public:
	PrintWin(wxDC& _dc,const wxPoint& _pt, const wxSize& _sz):dc(_dc), pt(_pt), sz(_sz),
                   maxHInLine(0), lineDefaultExtraSpace(0),
                   column(0), row(0)
	{};
	
	void Print(const char* s);
	int GetY() const { return pt.y; }
	int GetX() const { return pt.x; }
        /* work in progress ...*/
        void SetDefaultLineSpace(unsigned extraSpace)
        { lineDefaultExtraSpace = extraSpace; }
        void SetTab(int column, int extraSpace);
private:
	void PrintPart(const wxString& s,bool newLine=false);
        void UpdateRowInfo(const wxString& s);
	wxDC& dc;
	wxPoint pt;
	wxSize sz;
        unsigned column, row;
	unsigned maxHInLine;
        unsigned lineDefaultExtraSpace;

        // hold tab informations
        struct TabInfo {
                int column;
                int space;
        };

        std::vector<TabInfo> tabInfos;

        class RowInfo {
        public:
                RowInfo() : start(0), end(0) {}
                unsigned GetStart() const { return start; }
                unsigned GetEnd() const { return end; }
                unsigned Size() const { return cols.size(); }
                void SetCol(unsigned int col, char ch, unsigned int size, unsigned spaceSize);
        private:
                unsigned int start, end;
                std::vector<unsigned int> cols;
                std::vector<char> chars;
        };
        std::vector<RowInfo> rowInfos;
};

#endif // FILE_PRINTWIN_H_

