


OptionsDlgRc::OptionsDlgRc(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxDialog(parent, id, title, pos, size, wxDEFAULT_DIALOG_STYLE)
{
    // begin wxGlade: OptionsDlgRc::OptionsDlgRc
    chkP3 = new wxCheckBox(this, -1, wxT("Pentium III"));
    chk3DNow = new wxCheckBox(this, -1, wxT("3DNow!"));
    chkEnh3DNow = new wxCheckBox(this, -1, wxT("Enhanced 3DNow!"));
    chkAthlon = new wxCheckBox(this, -1, wxT("Athlon"));
    ok = new wxButton(this, wxID_OK, wxT("Ok"));
    cancel = new wxButton(this, wxID_CANCEL, wxT("Cancel"));

    set_properties();
    do_layout();
    // end wxGlade
}


void OptionsDlgRc::set_properties()
{
    // begin wxGlade: OptionsDlgRc::set_properties
    SetTitle(wxT("dlgOption"));
    ok->SetDefault();
    // end wxGlade
}


void OptionsDlgRc::do_layout()
{
    // begin wxGlade: OptionsDlgRc::do_layout
    wxBoxSizer* object_1 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* object_4 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBoxSizer* object_2 = new wxStaticBoxSizer(new wxStaticBox(this, -1, wxT("Enabled instruction sets")), wxVERTICAL);
    object_2->Add(chkP3, 0, 0, 0);
    object_2->Add(chk3DNow, 0, wxTOP|wxBOTTOM, 2);
    object_2->Add(chkEnh3DNow, 0, wxLEFT, 8);
    object_2->Add(chkAthlon, 0, wxTOP, 2);
    object_1->Add(object_2, 1, wxALL|wxEXPAND, 2);
    object_4->Add(ok, 0, wxALL|wxALIGN_CENTER_VERTICAL, 4);
    object_4->Add(cancel, 0, wxRIGHT|wxTOP|wxBOTTOM|wxALIGN_CENTER_VERTICAL, 4);
    object_1->Add(object_4, 0, 0, 0);
    SetAutoLayout(true);
    SetSizer(object_1);
    object_1->Fit(this);
    object_1->SetSizeHints(this);
    Layout();
    // end wxGlade
}


ImportDlgRc::ImportDlgRc(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxDialog(parent, id, title, pos, size, wxRESIZE_BORDER|wxTHICK_FRAME)
{
    // begin wxGlade: ImportDlgRc::ImportDlgRc
    const wxString lstFunc_choices[] = {
        
    };
    lstFunc = new wxListBox(this, -1, wxDefaultPosition, wxDefaultSize, 0, lstFunc_choices, 0);
    object_6 = new wxStaticText(this, -1, wxT("Double click to roll function calls"));
    ok = new wxButton(this, wxID_OK, wxT("Ok"));
    cancel = new wxButton(this, wxID_CANCEL, wxT("Cancel"));

    set_properties();
    do_layout();
    // end wxGlade
}


void ImportDlgRc::set_properties()
{
    // begin wxGlade: ImportDlgRc::set_properties
    SetTitle(wxT("dlgImport"));
    lstFunc->SetSelection(0);
    ok->SetDefault();
    // end wxGlade
}


void ImportDlgRc::do_layout()
{
    // begin wxGlade: ImportDlgRc::do_layout
    wxBoxSizer* object_5 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* object_7 = new wxBoxSizer(wxHORIZONTAL);
    object_5->Add(lstFunc, 1, wxEXPAND, 0);
    object_5->Add(object_6, 0, wxALL|wxALIGN_CENTER_HORIZONTAL, 2);
    object_7->Add(ok, 0, wxALL|wxALIGN_CENTER_VERTICAL, 4);
    object_7->Add(cancel, 0, wxRIGHT|wxTOP|wxBOTTOM|wxALIGN_CENTER_VERTICAL, 4);
    object_5->Add(object_7, 0, wxALIGN_CENTER_HORIZONTAL, 0);
    SetAutoLayout(true);
    SetSizer(object_5);
    object_5->Fit(this);
    object_5->SetSizeHints(this);
    Layout();
    // end wxGlade
}


ExportDlgRc::ExportDlgRc(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxDialog(parent, id, title, pos, size, wxRESIZE_BORDER|wxTHICK_FRAME)
{
    // begin wxGlade: ExportDlgRc::ExportDlgRc
    const wxString lstFunc_choices[] = {
        
    };
    lstFunc = new wxListBox(this, -1, wxDefaultPosition, wxDefaultSize, 0, lstFunc_choices, 0);
    object_9 = new wxStaticText(this, -1, wxT("Double click to go to function"));
    ok = new wxButton(this, -1, wxT("Ok"));
    cancel = new wxButton(this, -1, wxT("Cancel"));

    set_properties();
    do_layout();
    // end wxGlade
}


void ExportDlgRc::set_properties()
{
    // begin wxGlade: ExportDlgRc::set_properties
    SetTitle(wxT("dlgExport"));
    lstFunc->SetSelection(0);
    ok->SetDefault();
    // end wxGlade
}


void ExportDlgRc::do_layout()
{
    // begin wxGlade: ExportDlgRc::do_layout
    wxBoxSizer* object_8 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* object_10 = new wxBoxSizer(wxHORIZONTAL);
    object_8->Add(lstFunc, 1, wxEXPAND, 0);
    object_8->Add(object_9, 0, wxALL|wxALIGN_CENTER_HORIZONTAL, 2);
    object_10->Add(ok, 0, wxALL|wxALIGN_CENTER_VERTICAL, 4);
    object_10->Add(cancel, 0, wxRIGHT|wxTOP|wxBOTTOM|wxALIGN_CENTER_VERTICAL, 4);
    object_8->Add(object_10, 0, wxALIGN_CENTER_HORIZONTAL, 0);
    SetAutoLayout(true);
    SetSizer(object_8);
    object_8->Fit(this);
    object_8->SetSizeHints(this);
    Layout();
    // end wxGlade
}



