/*
PeRdr - PE file disassembler
Copyright (C) 1999-2002 Frediano Ziglio
-----

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-----

INFORMATION
  www: http://freddy77.tripod.com/perdr/
  e-mail: freddy77@angelfire.com
*/
//DEFINE_REG(size,type,name,string,complete,mask)
DEFINE_REG(byte,   byte_low_low,   al,    "al",  REG(eax), 1 )
DEFINE_REG(byte,   byte_low_low,   cl,    "cl",  REG(ecx), 1 )
DEFINE_REG(byte,   byte_low_low,   dl,    "dl",  REG(edx), 1 )
DEFINE_REG(byte,   byte_low_low,   bl,    "bl",  REG(ebx), 1 )
DEFINE_REG(byte,  byte_low_high,   ah,    "ah",  REG(eax), 2 )
DEFINE_REG(byte,  byte_low_high,   ch,    "ch",  REG(ecx), 2 )
DEFINE_REG(byte,  byte_low_high,   dh,    "dh",  REG(edx), 2 )
DEFINE_REG(byte,  byte_low_high,   bh,    "bh",  REG(ebx), 2 )

DEFINE_REG(word,       word_low,   ax,    "ax",  REG(eax), 3 )
DEFINE_REG(word,       word_low,   cx,    "cx",  REG(ecx), 3 )
DEFINE_REG(word,       word_low,   dx,    "dx",  REG(edx), 3 )
DEFINE_REG(word,       word_low,   bx,    "bx",  REG(ebx), 3 )
DEFINE_REG(word,       word_low,   sp,    "sp",  REG(esp), 1 )
DEFINE_REG(word,       word_low,   bp,    "bp",  REG(ebp), 1 )
DEFINE_REG(word,       word_low,   si,    "si",  REG(esi), 1 )
DEFINE_REG(word,       word_low,   di,    "di",  REG(edi), 1 )

DEFINE_REG(dword,       general,  eax,   "eax",  REG(eax), 7 )
DEFINE_REG(dword,       general,  ecx,   "ecx",  REG(ecx), 7 )
DEFINE_REG(dword,       general,  edx,   "edx",  REG(edx), 7 )
DEFINE_REG(dword,       general,  ebx,   "ebx",  REG(ebx), 7 )
DEFINE_REG(dword,       general,  esp,   "esp",  REG(esp), 3 ) //  special ??
DEFINE_REG(dword,       general,  ebp,   "ebp",  REG(ebp), 3 )
DEFINE_REG(dword,       general,  esi,   "esi",  REG(esi), 3 )
DEFINE_REG(dword,       general,  edi,   "edi",  REG(edi), 3 )

DEFINE_REG(packetI,     general,  mm0,   "mm0",  REG(mm0), 1 )
DEFINE_REG(packetI,     general,  mm1,   "mm1",  REG(mm1), 1 )
DEFINE_REG(packetI,     general,  mm2,   "mm2",  REG(mm2), 1 )
DEFINE_REG(packetI,     general,  mm3,   "mm3",  REG(mm3), 1 )
DEFINE_REG(packetI,     general,  mm4,   "mm4",  REG(mm4), 1 )
DEFINE_REG(packetI,     general,  mm5,   "mm5",  REG(mm5), 1 )
DEFINE_REG(packetI,     general,  mm6,   "mm6",  REG(mm6), 1 )
DEFINE_REG(packetI,     general,  mm7,   "mm7",  REG(mm7), 1 )

DEFINE_REG(packetF,     general, xmm0,  "xmm0", REG(xmm0), 1 )
DEFINE_REG(packetF,     general, xmm1,  "xmm1", REG(xmm1), 1 )
DEFINE_REG(packetF,     general, xmm2,  "xmm2", REG(xmm2), 1 )
DEFINE_REG(packetF,     general, xmm3,  "xmm3", REG(xmm3), 1 )
DEFINE_REG(packetF,     general, xmm4,  "xmm4", REG(xmm4), 1 )
DEFINE_REG(packetF,     general, xmm5,  "xmm5", REG(xmm5), 1 )
DEFINE_REG(packetF,     general, xmm6,  "xmm6", REG(xmm6), 1 )
DEFINE_REG(packetF,     general, xmm7,  "xmm7", REG(xmm7), 1 )

DEFINE_REG(dword,       special,  eip,   "eip",  REG(eip), 3 )
DEFINE_REG(word,        special,   ip,    "ip",  REG(eip), 1 )

DEFINE_REG(word,        segment,   es,    "es",  REG(es), 1 )
DEFINE_REG(word,        segment,   cs,    "cs",  REG(cs), 1 )
DEFINE_REG(word,        segment,   ss,    "ss",  REG(ss), 1 )
DEFINE_REG(word,        segment,   ds,    "ds",  REG(ds), 1 )
DEFINE_REG(word,        segment,   fs,    "fs",  REG(fs), 1 )
DEFINE_REG(word,        segment,   gs,    "gs",  REG(gs), 1 )

DEFINE_REG(floating,    general,  st0, "st(0)",  REG(st0), 1 )
DEFINE_REG(floating,    general,  st1, "st(1)",  REG(st1), 1 )
DEFINE_REG(floating,    general,  st2, "st(2)",  REG(st2), 1 )
DEFINE_REG(floating,    general,  st3, "st(3)",  REG(st3), 1 )
DEFINE_REG(floating,    general,  st4, "st(4)",  REG(st4), 1 )
DEFINE_REG(floating,    general,  st5, "st(5)",  REG(st5), 1 )
DEFINE_REG(floating,    general,  st6, "st(6)",  REG(st6), 1 )
DEFINE_REG(floating,    general,  st7, "st(7)",  REG(st7), 1 )

DEFINE_REG(dword,       special,  cr0,   "cr0",  REG(cr0), 1 )
DEFINE_REG(dword,       special,  cr1,   "cr1",  REG(cr1), 1 )
DEFINE_REG(dword,       special,  cr2,   "cr2",  REG(cr2), 1 )
DEFINE_REG(dword,       special,  cr3,   "cr3",  REG(cr3), 1 )
DEFINE_REG(dword,       special,  cr4,   "cr4",  REG(cr4), 1 )
DEFINE_REG(dword,       special,  cr5,   "cr5",  REG(cr5), 1 )
DEFINE_REG(dword,       special,  cr6,   "cr6",  REG(cr6), 1 )
DEFINE_REG(dword,       special,  cr7,   "cr7",  REG(cr7), 1 )

DEFINE_REG(dword,       special,  dr0,   "dr0",  REG(dr0), 1 )
DEFINE_REG(dword,       special,  dr1,   "dr1",  REG(dr1), 1 )
DEFINE_REG(dword,       special,  dr2,   "dr2",  REG(dr2), 1 )
DEFINE_REG(dword,       special,  dr3,   "dr3",  REG(dr3), 1 )
DEFINE_REG(dword,       special,  dr4,   "dr4",  REG(dr4), 1 )
DEFINE_REG(dword,       special,  dr5,   "dr5",  REG(dr5), 1 )
DEFINE_REG(dword,       special,  dr6,   "dr6",  REG(dr6), 1 )
DEFINE_REG(dword,       special,  dr7,   "dr7",  REG(dr7), 1 )

DEFINE_REG(dword,       special,  tr0,   "tr0",  REG(tr0), 1 )
DEFINE_REG(dword,       special,  tr1,   "tr1",  REG(tr1), 1 )
DEFINE_REG(dword,       special,  tr2,   "tr2",  REG(tr2), 1 )
DEFINE_REG(dword,       special,  tr3,   "tr3",  REG(tr3), 1 )
DEFINE_REG(dword,       special,  tr4,   "tr4",  REG(tr4), 1 )
DEFINE_REG(dword,       special,  tr5,   "tr5",  REG(tr5), 1 )
DEFINE_REG(dword,       special,  tr6,   "tr6",  REG(tr6), 1 )
DEFINE_REG(dword,       special,  tr7,   "tr7",  REG(tr7), 1 )


